class BreakAI expands Mutator;

var bool bInit;

event PreBeginPlay()
{
	if (!bInit)
	{
		bInit=True;
		log (Self.Name$" >>> initialized.");
	}
}

function DoRuinBrokenNetwork()
{
	local NavigationPoint P;
	local Actor A;
	local int i;

	foreach AllActors (class'NavigationPoint',P)
	{
		if ( PlayerStart(P) != None )
		{
			for ( i=0; i<16; i++ )
			{
				P.UpstreamPaths[i] = -1;
				P.PrunedPaths[i] = -1;
				P.VisNoReachPaths[i] = None;
				P.Paths[i] = -1;
			}
			P.VisitedWeight = 0;
			P.bestPathWeight = 0;
			P.nextNavigationPoint = None;
			P.nextOrdered = None;
			P.prevOrdered = None;
			P.startPath = None;
			P.previousPath = None;
			P.cost = 0;
			continue;
		}
		if (Teleporter(P) != None )
		{
			for ( i=0; i<16; i++ )
			{
				P.UpstreamPaths[i] = -1;
				P.PrunedPaths[i] = -1;
				P.VisNoReachPaths[i] = None;
				P.Paths[i] = -1;
			}
			P.VisitedWeight = 0;
			P.bestPathWeight = 0;
			P.nextNavigationPoint = None;
			P.nextOrdered = None;
			P.prevOrdered = None;
			P.startPath = None;
			P.previousPath = None;
			P.Cost = 0;
			continue;
		}
		if ( SpawnPoint(P) != None )
		{
			for ( i=0; i<16; i++ )
			{
				P.UpstreamPaths[i] = -1;
				P.PrunedPaths[i] = -1;
				P.VisNoReachPaths[i] = None;
				P.Paths[i] = -1;
			}
			P.VisitedWeight = 0;
			P.bestPathWeight = 0;
			P.nextNavigationPoint = None;
			P.nextOrdered = None;
			P.prevOrdered = None;
			P.startPath = None;
			P.previousPath = None;
			P.Cost = 0;
			continue;
		}
		if ( P.bStatic )
		{
			P.bStatic = False;
		}
		if ( P.bNoDelete )
		{
			P.bNoDelete = False;
		}
		P.Destroy();
	}

	foreach AllActors (class 'Actor',A)
	{
		if ( A.Deleted != None )
		{
			log (A@"claims deleted"@A.Deleted);
			log ("Actor"@A@"has bDeleteMe ="@A.bDeleteMe@"and A_Deleted being"@A.Deleted@"has bDeleteMe ="@A.Deleted.bDeleteMe);
		}
	}
	log (Self.Name@" >> Has Ended Timer.");
}

Auto State Destroying
{
Begin:
	Sleep(0.5);
	DoRuinBrokenNetwork();
	Destroy();
}

defaultproperties
{
   bGameRelevant=True
}